@charset "utf-8";
@import url("https://beauty-life.biz/wp/wp-content/themes/jin/css/root.css");

/*-----*ブレイクポイントルール*-----*/
/* スマートフォン：max-width:599px */
@media (max-width: 599px) {}

/* タブレット：min-width:600px */
@media (min-width: 600px) {}

/* PC：min-width:1025px */
@media (min-width: 1025px) {}

/***************************************
-------------- CONTACT --------------
***************************************/
/* Contact Form 7 カスタマイズ ここから */
/* フォーム全体のスタイル */
.wpcf7 {
background-color: #fff;
padding: 20px;
border-radius: 10px;
max-width: 600px;
margin: auto;
}

/* 必須フィールドのラベルスタイル */
.wpcf7-form .required {
background-color: #c9a631;
color: #ffffff;
width: 48px;
font-size: calc(var(--base-font-size) * 0.7);
text-align: center;
background: #c9a631;
color: #fff;
border-radius: 4px;
margin-top: 10px;
padding: 1px 4px;
}

/* 送信ボタンのスタイル */
.wpcf7-form input[type="submit"] {
background-color: #1f2777; 
color: white;
cursor: pointer;
transition: background-color 0.3s ease;
border: none;
padding: 20px 20px;
border-radius: 8px;
}

.wpcf7-form input[type="submit"]:hover {
background-color: #0056b3;
}

/* 電話番号のフォームのスタイル */
.form_tel {
    width: 100%;
    border: 1px solid #ccc;
    background: #fff;
    color: #333;
    padding: 12px;
    border-radius: 6px;
    box-sizing: border-box;
}
/* Contact Form 7 カスタマイズ ここまで */


p.subtitle {
  display: block;
  text-align: center;
  margin: 0 auto var(--sp-space);
}

p.subtitle a {
  color: var(--base-color01);
  text-decoration: underline;
}

span.must {
  display: block;
  width: 48px;
  font-size: calc(var(--base-font-size) * 0.7);
  text-align: center;
  background: #c9a631;
  color: #fff;
  border-radius: 4px;
  margin-top: 5px;
}

section form {
  width: 100%;
  max-width: 1200px;
  margin: auto;
  padding: 0;
  box-sizing: border-box;
}

.mailform {
  display: grid;
  grid-template-columns: 250px 1fr;
  gap: 20px;
  margin-top: 25px;
}


.mailform {
  grid-template-columns: 1fr;
  gap: 5px;
}


form dt.mfp {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  font-size: var(--base-font-size);
  gap: 10px;
}

form dd.check,
form dd.radio,
form dd.upload,
form dd.select {
  width: 100%;
}

form dd.check label,
form dd.radio label,
form dd.upload input {
  font-size: var(--base-font-size);
}

form dd.check,
form dd.radio {
  display: flex;
  gap: 1.5em;
}

form dd.check label input,
form dd.radio label input {
  margin-right: 5px;
}

form dd.date_pick {
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  gap: 20px;
}

form dd.date_pick select {
  width: 300px;
}

@media (max-width: 599px) {
  form dd.date_pick select {
    width: 100%;
  }
}

form dd.date_pick input {
  padding: 8px;
  font-size: var(--base-font-size);
  box-sizing: border-box;
  vertical-align: bottom;
}

form optgroup,
form select,
form option {
  font-size: var(--base-font-size);
}

input[type="text"],
input[type="email"],
textarea {
  width: 100%;
  padding: 8px;
  font-size: var(--base-font-size);
  box-sizing: border-box;
  vertical-align: bottom;
}

#mailformpro select {
  padding: 8px;
  font-size: var(--base-font-size);
  box-sizing: border-box;
}

.mfp_buttons {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  margin: 80px auto 40px;
}

@media (max-width: 767px) {
  .mfp_buttons {
    flex-flow: column;
    margin: 40px auto 20px;
  }
}

button[type="submit"],
#mfp_button_send {
  display: flex;
  justify-content: center;
  align-items: center;
  width: min(75%, 400px);
  padding: 15px;
  border: none;
  background: var(--base-color01);
  color: #fff;
  text-align: center;
  font-size: 1.8rem;
  border-radius: 12px;
  cursor: pointer;
}

button[type="submit"]:hover,
#mfp_button_send:hover {
  opacity: 0.8;
}

button[type="reset"],
#mfp_button_cancel {
  display: flex;
  justify-content: center;
  align-items: center;
  width: min(75%, 400px);
  padding: 15px;
  border: none;
  background: #aaa;
  color: #fff;
  text-align: center;
  font-size: 1.8rem;
  border-radius: 12px;
  cursor: pointer;
}

button[type="reset"]:hover,
#mfp_button_cancel:hover {
  opacity: 0.8;
}

.border_box {
  text-align: center;
  background: #f5f5f5;
  border-radius: 5px;
  padding: 20px;
  font-size: 2rem;
}

@media screen and (max-width: 599px) {
  .mailform {
    flex-wrap: wrap;
  }

  form dt.mfp {
    margin-bottom: 5px;
  }

  form dt.mfp,
  form dd.mfp {
    width: 100%;
  }
}

.address_input_list {
  margin: 0;
  display: grid;
  grid-template-columns: max-content 1fr;
  gap: 1em;
}

@media (max-width: 767px) {
  .address_input_list {
    grid-template-columns: 1fr;
    gap: 5px;
  }
}

.address_input_list dt {
  display: flex;
  align-items: center;
}

@media (max-width: 767px) {
  .address_input_list dt {
    padding-top: 5px;
  }
}

input.zip-code {
  width: 250px;
}

form dd.upload {
  display: grid;
  grid-template-columns: min-content min-content;
  gap: 10px;
}

@media (max-width : 767px) {
  form dd.upload {
    grid-template-columns: 1fr;
  }
}

/***************************************
------------- リキャプチャ ------------
***************************************/
@media (min-width: 600px) {
  .grecaptcha-badge {
    bottom: 60px !important;
  }
}

@media (max-width: 599px) {
  .grecaptcha-badge {
    bottom: 38vw !important;
  }
}